package com.fs.sop.service.impl;

import java.util.List;
import com.fs.common.utils.DateUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.sop.mapper.SopOrderLogMapper;
import com.fs.sop.domain.SopOrderLog;
import com.fs.sop.service.ISopOrderLogService;

/**
 * 订单SOP任务日志Service业务层处理
 * 
 * @author fs
 * @date 2025-12-26
 */
@Service
public class SopOrderLogServiceImpl extends ServiceImpl<SopOrderLogMapper, SopOrderLog> implements ISopOrderLogService {

    /**
     * 查询订单SOP任务日志
     * 
     * @param id 订单SOP任务日志主键
     * @return 订单SOP任务日志
     */
    @Override
    public SopOrderLog selectSopOrderLogById(Long id)
    {
        return baseMapper.selectSopOrderLogById(id);
    }

    /**
     * 查询订单SOP任务日志列表
     * 
     * @param sopOrderLog 订单SOP任务日志
     * @return 订单SOP任务日志
     */
    @Override
    public List<SopOrderLog> selectSopOrderLogList(SopOrderLog sopOrderLog)
    {
        return baseMapper.selectSopOrderLogList(sopOrderLog);
    }

    /**
     * 新增订单SOP任务日志
     * 
     * @param sopOrderLog 订单SOP任务日志
     * @return 结果
     */
    @Override
    public int insertSopOrderLog(SopOrderLog sopOrderLog)
    {
        return baseMapper.insertSopOrderLog(sopOrderLog);
    }

    /**
     * 修改订单SOP任务日志
     * 
     * @param sopOrderLog 订单SOP任务日志
     * @return 结果
     */
    @Override
    public int updateSopOrderLog(SopOrderLog sopOrderLog)
    {
        sopOrderLog.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateSopOrderLog(sopOrderLog);
    }

    /**
     * 批量删除订单SOP任务日志
     * 
     * @param ids 需要删除的订单SOP任务日志主键
     * @return 结果
     */
    @Override
    public int deleteSopOrderLogByIds(Long[] ids)
    {
        return baseMapper.deleteSopOrderLogByIds(ids);
    }

    /**
     * 删除订单SOP任务日志信息
     * 
     * @param id 订单SOP任务日志主键
     * @return 结果
     */
    @Override
    public int deleteSopOrderLogById(Long id)
    {
        return baseMapper.deleteSopOrderLogById(id);
    }
}
